Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.actions
Class InactivateAgentsAction

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.LibrarySessionAction
              oracle.ifs.admin.actions.InactivateAgentsAction

All Implemented Interfaces:
  Action, IfsParameters

    public class InactivateAgentsAction

extends LibrarySessionAction

Inactivates all iFS agents currently bound to nodes.

(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.admin.actions.LibrarySessionAction
`RESTART_SERVICE`

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`InactivateAgentsAction()`

Method Summary
`void` | `execute(LibrarySession session)` Perform the upgrade.
`void` | `failed(java.lang.Throwable error)` Ignored.
`protected void` | `log(java.lang.String message)` Log a message.
`static void` | `main(java.lang.String[] args)` Test harness.
`protected void` | `printStackTrace(java.lang.Throwable t)` Log an exception.
`void` | `stop()` Ignored.

Methods inherited from class oracle.ifs.admin.actions.LibrarySessionAction
`perform, setDomain, setForSchemaUpgrade, setPassword, setRestartService, setSchemaPassword, setUser`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InactivateAgentsAction

    public InactivateAgentsAction()

Method Detail

### stop

    public void stop()

  Description copied from class: `InactivateAgentsAction`
  Ignored.

  (Unpublished)

### failed

    public void failed(java.lang.Throwable error)

  Description copied from class: `InactivateAgentsAction`
  Ignored.

  Parameters:
    `error` - the error that occured
  (Unpublished)

### execute

    public void execute(LibrarySession session)
                 throws ActionFailedException

  Description copied from class: `InactivateAgentsAction`
  Perform the upgrade.

  Specified by:
    `execute` in class `LibrarySessionAction`
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails
    `ActionFailedException` - if the operation fails
  (Unpublished)

### printStackTrace

    protected void printStackTrace(java.lang.Throwable t)

  Description copied from class: `InactivateAgentsAction`
  Log an exception.

  Parameters:
    `t` - the Throwable to log
  (Unpublished)

### log

    protected void log(java.lang.String message)

  Description copied from class: `InactivateAgentsAction`
  Log a message.

  Parameters:
    `message` - the message to log
  (Unpublished)

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Description copied from class: `InactivateAgentsAction`
  Test harness.

  Parameters:
    `args` - command-line args
  Throws:
    `java.lang.Exception` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD